/*
 * Copyright (c) 2016-2022 VMware, Inc. All Rights Reserved.
 * This software is released under MIT license.
 * The full license information can be found in LICENSE in the root directory of this project.
 */

export * from './icon.element.js';
export * from './icon.service.js';
export { renderIcon } from './icon.renderer.js';

// SHAPES
export { unknownIcon, unknownIconName } from './shapes/unknown.js';

// SHAPES - CORE
export { angleIcon, angleIconName } from './shapes/angle.js';
export { angleDoubleIcon, angleDoubleIconName } from './shapes/angle-double.js';
export { arrowIcon, arrowIconName } from './shapes/arrow.js';
export { barsIcon, barsIconName } from './shapes/bars.js';
export { bellIcon, bellIconName } from './shapes/bell.js';
export { calendarIcon, calendarIconName } from './shapes/calendar.js';
export { checkIcon, checkIconName } from './shapes/check.js';
export { checkCircleIcon, checkCircleIconName } from './shapes/check-circle.js';
export { cloudIcon, cloudIconName } from './shapes/cloud.js';
export { cogIcon, cogIconName } from './shapes/cog.js';
export { ellipsisHorizontalIcon, ellipsisHorizontalIconName } from './shapes/ellipsis-horizontal.js';
export { ellipsisVerticalIcon, ellipsisVerticalIconName } from './shapes/ellipsis-vertical.js';
export { errorStandardIcon, errorStandardIconName } from './shapes/error-standard.js';
export { eventIcon, eventIconName } from './shapes/event.js';
export { exclamationCircleIcon, exclamationCircleIconName } from './shapes/exclamation-circle.js';
export { exclamationTriangleIcon, exclamationTriangleIconName } from './shapes/exclamation-triangle.js';
export { eyeIcon, eyeIconName } from './shapes/eye.js';
export { eyeHideIcon, eyeHideIconName } from './shapes/eye-hide.js';
export { filterGridIcon, filterGridIconName } from './shapes/filter-grid.js';
export { filterGridCircleIcon, filterGridCircleIconName } from './shapes/filter-grid-circle.js';
export { folderIcon, folderIconName } from './shapes/folder.js';
export { folderOpenIcon, folderOpenIconName } from './shapes/folder-open.js';
export { helpInfoIcon, helpInfoIconName } from './shapes/help-info.js';
export { homeIcon, homeIconName } from './shapes/home.js';
export { imageIcon, imageIconName } from './shapes/image.js';
export { infoCircleIcon, infoCircleIconName } from './shapes/info-circle.js';
export { infoStandardIcon, infoStandardIconName } from './shapes/info-standard.js';
export { searchIcon, searchIconName } from './shapes/search.js';
export { stepForward2Icon, stepForward2IconName } from './shapes/step-forward-2.js';
export { successStandardIcon, successStandardIconName } from './shapes/success-standard.js';
export { timesIcon, timesIconName } from './shapes/times.js';
export { unknownStatusIcon, unknownStatusIconName } from './shapes/unknown-status.js';
export { userIcon, userIconName } from './shapes/user.js';
export { viewColumnsIcon, viewColumnsIconName } from './shapes/view-columns.js';
export { vmBugIcon, vmBugIconName } from './shapes/vm-bug.js';
export { vmBugInverseIcon, vmBugInverseIconName } from './shapes/vm-bug-inverse.js';
export { warningStandardIcon, warningStandardIconName } from './shapes/warning-standard.js';

// SHAPES - ESSENTIAL
export { accessibility1Icon, accessibility1IconName } from './shapes/accessibility-1.js';
export { accessibility2Icon, accessibility2IconName } from './shapes/accessibility-2.js';
export { announcementIcon, announcementIconName } from './shapes/announcement.js';
export { addTextIcon, addTextIconName } from './shapes/add-text.js';
export { alarmClockIcon, alarmClockIconName } from './shapes/alarm-clock.js';
export { alarmOffIcon, alarmOffIconName } from './shapes/alarm-off.js';
export { asteriskIcon, asteriskIconName } from './shapes/asterisk.js';
export { banIcon, banIconName } from './shapes/ban.js';
export { betaIcon, betaIconName } from './shapes/beta.js';
export { boltIcon, boltIconName } from './shapes/bolt.js';
export { bookIcon, bookIconName } from './shapes/book.js';
export { briefcaseIcon, briefcaseIconName } from './shapes/briefcase.js';
export { bubbleExclamationIcon, bubbleExclamationIconName } from './shapes/bubble-exclamation.js';
export { bugIcon, bugIconName } from './shapes/bug.js';
export { bullseyeIcon, bullseyeIconName } from './shapes/bullseye.js';
export { childArrowIcon, childArrowIconName } from './shapes/child-arrow.js';
export { circleIcon, circleIconName } from './shapes/circle.js';
export { circleArrowIcon, circleArrowIconName } from './shapes/circle-arrow.js';
export { clipboardIcon, clipboardIconName } from './shapes/clipboard.js';
export { clockIcon, clockIconName } from './shapes/clock.js';
export { cloneIcon, cloneIconName } from './shapes/clone.js';
export { collapseCardIcon, collapseCardIconName } from './shapes/collapse-card.js';
export { colorPaletteIcon, colorPaletteIconName } from './shapes/color-palette.js';
export { colorPickerIcon, colorPickerIconName } from './shapes/color-picker.js';
export { copyIcon, copyIconName } from './shapes/copy.js';
export { copyToClipboardIcon, copyToClipboardIconName } from './shapes/copy-to-clipboard.js';
export { crosshairsIcon, crosshairsIconName } from './shapes/crosshairs.js';
export { cursorArrowIcon, cursorArrowIconName } from './shapes/cursor-arrow.js';
export { cursorHandIcon, cursorHandIconName } from './shapes/cursor-hand.js';
export { cursorHandClickIcon, cursorHandClickIconName } from './shapes/cursor-hand-click.js';
export { cursorHandGrabIcon, cursorHandGrabIconName } from './shapes/cursor-hand-grab.js';
export { cursorHandOpenIcon, cursorHandOpenIconName } from './shapes/cursor-hand-open.js';
export { cursorMoveIcon, cursorMoveIconName } from './shapes/cursor-move.js';
export { detailsIcon, detailsIconName } from './shapes/details.js';
export { dotCircleIcon, dotCircleIconName } from './shapes/dot-circle.js';
export { downloadIcon, downloadIconName } from './shapes/download.js';
export { dragHandleIcon, dragHandleIconName } from './shapes/drag-handle.js';
export { dragHandleCornerIcon, dragHandleCornerIconName } from './shapes/drag-handle-corner.js';
export { eraserIcon, eraserIconName } from './shapes/eraser.js';
export { expandCardIcon, expandCardIconName } from './shapes/expand-card.js';
export { fileIcon, fileIconName } from './shapes/file.js';
export { fileGroupIcon, fileGroupIconName } from './shapes/file-group.js';
export { fileSettingsIcon, fileSettingsIconName } from './shapes/file-settings.js';
export { fileZipIcon, fileZipIconName } from './shapes/file-zip.js';
export { filterIcon, filterIconName } from './shapes/filter.js';
export { filter2Icon, filter2IconName } from './shapes/filter-2.js';
export { filterOffIcon, filterOffIconName } from './shapes/filter-off.js';
export { firewallIcon, firewallIconName } from './shapes/firewall.js';
export { firstAidIcon, firstAidIconName } from './shapes/first-aid.js';
export { fishIcon, fishIconName } from './shapes/fish.js';
export { flameIcon, flameIconName } from './shapes/flame.js';
export { formIcon, formIconName } from './shapes/form.js';
export { fuelIcon, fuelIconName } from './shapes/fuel.js';
export { gridViewIcon, gridViewIconName } from './shapes/grid-view.js';
export { helpIcon, helpIconName } from './shapes/help.js';
export { historyIcon, historyIconName } from './shapes/history.js';
export { hourglassIcon, hourglassIconName } from './shapes/hourglass.js';
export { idBadgeIcon, idBadgeIconName } from './shapes/id-badge.js';
export { keyIcon, keyIconName } from './shapes/key.js';
export { landscapeIcon, landscapeIconName } from './shapes/landscape.js';
export { libraryIcon, libraryIconName } from './shapes/library.js';
export { lightbulbIcon, lightbulbIconName } from './shapes/lightbulb.js';
export { listIcon, listIconName } from './shapes/list.js';
export { lockIcon, lockIconName } from './shapes/lock.js';
export { loginIcon, loginIconName } from './shapes/login.js';
export { logoutIcon, logoutIconName } from './shapes/logout.js';
export { minusIcon, minusIconName } from './shapes/minus.js';
export { minusCircleIcon, minusCircleIconName } from './shapes/minus-circle.js';
export { moonIcon, moonIconName } from './shapes/moon.js';
export { newIcon, newIconName } from './shapes/new.js';
export { noAccessIcon, noAccessIconName } from './shapes/no-access.js';
export { noteIcon, noteIconName } from './shapes/note.js';
export { objectsIcon, objectsIconName } from './shapes/objects.js';
export { organizationIcon, organizationIconName } from './shapes/organization.js';
export { paperclipIcon, paperclipIconName } from './shapes/paperclip.js';
export { pasteIcon, pasteIconName } from './shapes/paste.js';
export { pencilIcon, pencilIconName } from './shapes/pencil.js';
export { pinIcon, pinIconName } from './shapes/pin.js';
export { pinboardIcon, pinboardIconName } from './shapes/pinboard.js';
export { plusIcon, plusIconName } from './shapes/plus.js';
export { plusCircleIcon, plusCircleIconName } from './shapes/plus-circle.js';
export { popOutIcon, popOutIconName } from './shapes/pop-out.js';
export { portraitIcon, portraitIconName } from './shapes/portrait.js';
export { printerIcon, printerIconName } from './shapes/printer.js';
export { recycleIcon, recycleIconName } from './shapes/recycle.js';
export { redoIcon, redoIconName } from './shapes/redo.js';
export { refreshIcon, refreshIconName } from './shapes/refresh.js';
export { repeatIcon, repeatIconName } from './shapes/repeat.js';
export { resizeIcon, resizeIconName } from './shapes/resize.js';
export { scissorsIcon, scissorsIconName } from './shapes/scissors.js';
export { scrollIcon, scrollIconName } from './shapes/scroll.js';
export { shrinkIcon, shrinkIconName } from './shapes/shrink.js';
export { sliderIcon, sliderIconName } from './shapes/slider.js';
export { snowflakeIcon, snowflakeIconName } from './shapes/snowflake.js';
export { sortByIcon, sortByIconName } from './shapes/sort-by.js';
export { sunIcon, sunIconName } from './shapes/sun.js';
export { switchIcon, switchIconName } from './shapes/switch.js';
export { syncIcon, syncIconName } from './shapes/sync.js';
export { tableIcon, tableIconName } from './shapes/table.js';
export { tagIcon, tagIconName } from './shapes/tag.js';
export { tagsIcon, tagsIconName } from './shapes/tags.js';
export { targetIcon, targetIconName } from './shapes/target.js';
export { thermometerIcon, thermometerIconName } from './shapes/thermometer.js';
export { timesCircleIcon, timesCircleIconName } from './shapes/times-circle.js';
export { toolsIcon, toolsIconName } from './shapes/tools.js';
export { trashIcon, trashIconName } from './shapes/trash.js';
export { treeIcon, treeIconName } from './shapes/tree.js';
export { treeViewIcon, treeViewIconName } from './shapes/tree-view.js';
export { twoWayArrowsIcon, twoWayArrowsIconName } from './shapes/two-way-arrows.js';
export { undoIcon, undoIconName } from './shapes/undo.js';
export { unlockIcon, unlockIconName } from './shapes/unlock.js';
export { uploadIcon, uploadIconName } from './shapes/upload.js';
export { usersIcon, usersIconName } from './shapes/users.js';
export { viewCardsIcon, viewCardsIconName } from './shapes/view-cards.js';
export { viewListIcon, viewListIconName } from './shapes/view-list.js';
export { volumeIcon, volumeIconName } from './shapes/volume.js';
export { wandIcon, wandIconName } from './shapes/wand.js';
export { windowCloseIcon, windowCloseIconName } from './shapes/window-close.js';
export { windowMaxIcon, windowMaxIconName } from './shapes/window-max.js';
export { windowMinIcon, windowMinIconName } from './shapes/window-min.js';
export { windowRestoreIcon, windowRestoreIconName } from './shapes/window-restore.js';
export { worldIcon, worldIconName } from './shapes/world.js';
export { wrenchIcon, wrenchIconName } from './shapes/wrench.js';
export { zoomInIcon, zoomInIconName } from './shapes/zoom-in.js';
export { zoomOutIcon, zoomOutIconName } from './shapes/zoom-out.js';

// SHAPES - CHARTS
export { axisChartIcon, axisChartIconName } from './shapes/axis-chart.js';
export { barChartIcon, barChartIconName } from './shapes/bar-chart.js';
export { bellCurveIcon, bellCurveIconName } from './shapes/bell-curve.js';
export { boxPlotIcon, boxPlotIconName } from './shapes/box-plot.js';
export { bubbleChartIcon, bubbleChartIconName } from './shapes/bubble-chart.js';
export { cloudChartIcon, cloudChartIconName } from './shapes/cloud-chart.js';
export { curveChartIcon, curveChartIconName } from './shapes/curve-chart.js';
export { gridChartIcon, gridChartIconName } from './shapes/grid-chart.js';
export { heatMapIcon, heatMapIconName } from './shapes/heat-map.js';
export { lineChartIcon, lineChartIconName } from './shapes/line-chart.js';
export { pieChartIcon, pieChartIconName } from './shapes/pie-chart.js';
export { scatterPlotIcon, scatterPlotIconName } from './shapes/scatter-plot.js';
export { tickChartIcon, tickChartIconName } from './shapes/tick-chart.js';

// SHAPES - COMMERCE
export { bankIcon, bankIconName } from './shapes/bank.js';
export { bitcoinIcon, bitcoinIconName } from './shapes/bitcoin.js';
export { calculatorIcon, calculatorIconName } from './shapes/calculator.js';
export { coinBagIcon, coinBagIconName } from './shapes/coin-bag.js';
export { creditCardIcon, creditCardIconName } from './shapes/credit-card.js';
export { dollarIcon, dollarIconName } from './shapes/dollar.js';
export { dollarBillIcon, dollarBillIconName } from './shapes/dollar-bill.js';
export { eCheckIcon, eCheckIconName } from './shapes/e-check.js';
export { employeeIcon, employeeIconName } from './shapes/employee.js';
export { employeeGroupIcon, employeeGroupIconName } from './shapes/employee-group.js';
export { euroIcon, euroIconName } from './shapes/euro.js';
export { factoryIcon, factoryIconName } from './shapes/factory.js';
export { pesoIcon, pesoIconName } from './shapes/peso.js';
export { piggyBankIcon, piggyBankIconName } from './shapes/piggy-bank.js';
export { poundIcon, poundIconName } from './shapes/pound.js';
export { rubleIcon, rubleIconName } from './shapes/ruble.js';
export { rupeeIcon, rupeeIconName } from './shapes/rupee.js';
export { shoppingBagIcon, shoppingBagIconName } from './shapes/shopping-bag.js';
export { shoppingCartIcon, shoppingCartIconName } from './shapes/shopping-cart.js';
export { storeIcon, storeIconName } from './shapes/store.js';
export { walletIcon, walletIconName } from './shapes/wallet.js';
export { wonIcon, wonIconName } from './shapes/won.js';
export { yenIcon, yenIconName } from './shapes/yen.js';

// SHAPES - MEDIA
export { cameraIcon, cameraIconName } from './shapes/camera.js';
export { fastForwardIcon, fastForwardIconName } from './shapes/fast-forward.js';
export { filmStripIcon, filmStripIconName } from './shapes/film-strip.js';
export { headphonesIcon, headphonesIconName } from './shapes/headphones.js';
export { imageGalleryIcon, imageGalleryIconName } from './shapes/image-gallery.js';
export { microphoneIcon, microphoneIconName } from './shapes/microphone.js';
export { microphoneMuteIcon, microphoneMuteIconName } from './shapes/microphone-mute.js';
export { musicNoteIcon, musicNoteIconName } from './shapes/music-note.js';
export { pauseIcon, pauseIconName } from './shapes/pause.js';
export { playIcon, playIconName } from './shapes/play.js';
export { powerIcon, powerIconName } from './shapes/power.js';
export { replayAllIcon, replayAllIconName } from './shapes/replay-all.js';
export { replayOneIcon, replayOneIconName } from './shapes/replay-one.js';
export { rewindIcon, rewindIconName } from './shapes/rewind.js';
export { shuffleIcon, shuffleIconName } from './shapes/shuffle.js';
export { stepForwardIcon, stepForwardIconName } from './shapes/step-forward.js';
export { stopIcon, stopIconName } from './shapes/stop.js';
export { videoCameraIcon, videoCameraIconName } from './shapes/video-camera.js';
export { videoGalleryIcon, videoGalleryIconName } from './shapes/video-gallery.js';
export { volumeDownIcon, volumeDownIconName } from './shapes/volume-down.js';
export { volumeMuteIcon, volumeMuteIconName } from './shapes/volume-mute.js';
export { volumeUpIcon, volumeUpIconName } from './shapes/volume-up.js';

// SHAPES - MINI
export { arrowMiniIcon, arrowMiniIconName } from './shapes/arrow-mini.js';
export { calendarMiniIcon, calendarMiniIconName } from './shapes/calendar-mini.js';
export { checkCircleMiniIcon, checkCircleMiniIconName } from './shapes/check-circle-mini.js';
export { checkMiniIcon, checkMiniIconName } from './shapes/check-mini.js';
export { errorMiniIcon, errorMiniIconName } from './shapes/error-mini.js';
export { eventMiniIcon, eventMiniIconName } from './shapes/event-mini.js';
export { filterGridCircleMiniIcon, filterGridCircleMiniIconName } from './shapes/filter-grid-circle-mini.js';
export { filterGridMiniIcon, filterGridMiniIconName } from './shapes/filter-grid-mini.js';
export { infoCircleMiniIcon, infoCircleMiniIconName } from './shapes/info-circle-mini.js';
export { timesMiniIcon, timesMiniIconName } from './shapes/times-mini.js';
export { warningMiniIcon, warningMiniIconName } from './shapes/warning-mini.js';

// SHAPES - TECHNOLOGY
export { administratorIcon, administratorIconName } from './shapes/administrator.js';
export { animationIcon, animationIconName } from './shapes/animation.js';
export { applicationIcon, applicationIconName } from './shapes/application.js';
export { applicationsIcon, applicationsIconName } from './shapes/applications.js';
export { archiveIcon, archiveIconName } from './shapes/archive.js';
export { assignUserIcon, assignUserIconName } from './shapes/assign-user.js';
export { atomIcon, atomIconName } from './shapes/atom.js';
export { backupIcon, backupIconName } from './shapes/backup.js';
export { backupRestoreIcon, backupRestoreIconName } from './shapes/backup-restore.js';
export { barCodeIcon, barCodeIconName } from './shapes/bar-code.js';
export { batteryIcon, batteryIconName } from './shapes/battery.js';
export { blockIcon, blockIconName } from './shapes/block.js';
export { blocksGroupIcon, blocksGroupIconName } from './shapes/blocks-group.js';
export { bluetoothIcon, bluetoothIconName } from './shapes/bluetooth.js';
export { bluetoothOffIcon, bluetoothOffIconName } from './shapes/bluetooth-off.js';
export { buildingIcon, buildingIconName } from './shapes/building.js';
export { bundleIcon, bundleIconName } from './shapes/bundle.js';
export { capacitorIcon, capacitorIconName } from './shapes/capacitor.js';
export { cdDvdIcon, cdDvdIconName } from './shapes/cd-dvd.js';
export { certificateIcon, certificateIconName } from './shapes/certificate.js';
export { ciCdIcon, ciCdIconName } from './shapes/ci-cd.js';
export { cloudNetworkIcon, cloudNetworkIconName } from './shapes/cloud-network.js';
export { cloudScaleIcon, cloudScaleIconName } from './shapes/cloud-scale.js';
export { cloudTrafficIcon, cloudTrafficIconName } from './shapes/cloud-traffic.js';
export { clusterIcon, clusterIconName } from './shapes/cluster.js';
export { codeIcon, codeIconName } from './shapes/code.js';
export { computerIcon, computerIconName } from './shapes/computer.js';
export { connectIcon, connectIconName } from './shapes/connect.js';
export { containerIcon, containerIconName } from './shapes/container.js';
export { containerVolumeIcon, containerVolumeIconName } from './shapes/container-volume.js';
export { controlLunIcon, controlLunIconName } from './shapes/control-lun.js';
export { cpuIcon, cpuIconName } from './shapes/cpu.js';
export { dashboardIcon, dashboardIconName } from './shapes/dashboard.js';
export { dataClusterIcon, dataClusterIconName } from './shapes/data-cluster.js';
export { deployIcon, deployIconName } from './shapes/deploy.js';
export { devicesIcon, devicesIconName } from './shapes/devices.js';
export { digitalSignatureIcon, digitalSignatureIconName } from './shapes/digital-signature.js';
export { disconnectIcon, disconnectIconName } from './shapes/disconnect.js';
export { displayIcon, displayIconName } from './shapes/display.js';
export { downloadCloudIcon, downloadCloudIconName } from './shapes/download-cloud.js';
export { exportIcon, exportIconName } from './shapes/export.js';
export { fileShareIcon, fileShareIconName } from './shapes/file-share.js';
export { fileShare2Icon, fileShare2IconName } from './shapes/file-share-2.js';
export { flaskIcon, flaskIconName } from './shapes/flask.js';
export { floppyIcon, floppyIconName } from './shapes/floppy.js';
export { hardDiskIcon, hardDiskIconName } from './shapes/hard-disk.js';
export { hardDriveIcon, hardDriveIconName } from './shapes/hard-drive.js';
export { hardDriveDisksIcon, hardDriveDisksIconName } from './shapes/hard-drive-disks.js';
export { helixIcon, helixIconName } from './shapes/helix.js';
export { hostIcon, hostIconName } from './shapes/host.js';
export { hostGroupIcon, hostGroupIconName } from './shapes/host-group.js';
export { importIcon, importIconName } from './shapes/import.js';
export { inductorIcon, inductorIconName } from './shapes/inductor.js';
export { installIcon, installIconName } from './shapes/install.js';
export { keyboardIcon, keyboardIconName } from './shapes/keyboard.js';
export { layersIcon, layersIconName } from './shapes/layers.js';
export { linkIcon, linkIconName } from './shapes/link.js';
export { mediaChangerIcon, mediaChangerIconName } from './shapes/media-changer.js';
export { memoryIcon, memoryIconName } from './shapes/memory.js';
export { mobileIcon, mobileIconName } from './shapes/mobile.js';
export { mouseIcon, mouseIconName } from './shapes/mouse.js';
export { namespaceIcon, namespaceIconName } from './shapes/namespace.js';
export { networkGlobeIcon, networkGlobeIconName } from './shapes/network-globe.js';
export { networkSettingsIcon, networkSettingsIconName } from './shapes/network-settings.js';
export { networkSwitchIcon, networkSwitchIconName } from './shapes/network-switch.js';
export { noWifiIcon, noWifiIconName } from './shapes/no-wifi.js';
export { nodeIcon, nodeIconName } from './shapes/node.js';
export { nodeGroupIcon, nodeGroupIconName } from './shapes/node-group.js';
export { nodesIcon, nodesIconName } from './shapes/nodes.js';
export { nvmeIcon, nvmeIconName } from './shapes/nvme.js';
export { phoneHandsetIcon, phoneHandsetIconName } from './shapes/phone-handset.js';
export { pluginIcon, pluginIconName } from './shapes/plugin.js';
export { podIcon, podIconName } from './shapes/pod.js';
export { processOnVmIcon, processOnVmIconName } from './shapes/process-on-vm.js';
export { qrCodeIcon, qrCodeIconName } from './shapes/qr-code.js';
export { rackServerIcon, rackServerIconName } from './shapes/rack-server.js';
export { radarIcon, radarIconName } from './shapes/radar.js';
export { resistorIcon, resistorIconName } from './shapes/resistor.js';
export { resourcePoolIcon, resourcePoolIconName } from './shapes/resource-pool.js';
export { routerIcon, routerIconName } from './shapes/router.js';
export { rulerPencilIcon, rulerPencilIconName } from './shapes/ruler-pencil.js';
export { shieldIcon, shieldIconName } from './shapes/shield.js';
export { shieldCheckIcon, shieldCheckIconName } from './shapes/shield-check.js';
export { shieldXIcon, shieldXIconName } from './shapes/shield-x.js';
export { squidIcon, squidIconName } from './shapes/squid.js';
export { ssdIcon, ssdIconName } from './shapes/ssd.js';
export { storageIcon, storageIconName } from './shapes/storage.js';
export { storageAdapterIcon, storageAdapterIconName } from './shapes/storage-adapter.js';
export { tabletIcon, tabletIconName } from './shapes/tablet.js';
export { tapeDriveIcon, tapeDriveIconName } from './shapes/tape-drive.js';
export { terminalIcon, terminalIconName } from './shapes/terminal.js';
export { unarchiveIcon, unarchiveIconName } from './shapes/unarchive.js';
export { uninstallIcon, uninstallIconName } from './shapes/uninstall.js';
export { unlinkIcon, unlinkIconName } from './shapes/unlink.js';
export { uploadCloudIcon, uploadCloudIconName } from './shapes/upload-cloud.js';
export { usbIcon, usbIconName } from './shapes/usb.js';
export { vmIcon, vmIconName } from './shapes/vm.js';
export { vmwAppIcon, vmwAppIconName } from './shapes/vmw-app.js';
export { wifiIcon, wifiIconName } from './shapes/wifi.js';

// SHAPES - SOCIAL
export { bookmarkIcon, bookmarkIconName } from './shapes/bookmark.js';
export { chatBubbleIcon, chatBubbleIconName } from './shapes/chat-bubble.js';
export { contractIcon, contractIconName } from './shapes/contract.js';
export { crownIcon, crownIconName } from './shapes/crown.js';
export { envelopeIcon, envelopeIconName } from './shapes/envelope.js';
export { flagIcon, flagIconName } from './shapes/flag.js';
export { halfStarIcon, halfStarIconName } from './shapes/half-star.js';
export { happyFaceIcon, happyFaceIconName } from './shapes/happy-face.js';
export { hashtagIcon, hashtagIconName } from './shapes/hashtag.js';
export { heartIcon, heartIconName } from './shapes/heart.js';
export { heartBrokenIcon, heartBrokenIconName } from './shapes/heart-broken.js';
export { inboxIcon, inboxIconName } from './shapes/inbox.js';
export { neutralFaceIcon, neutralFaceIconName } from './shapes/neutral-face.js';
export { pictureIcon, pictureIconName } from './shapes/picture.js';
export { sadFaceIcon, sadFaceIconName } from './shapes/sad-face.js';
export { shareIcon, shareIconName } from './shapes/share.js';
export { starIcon, starIconName } from './shapes/star.js';
export { talkBubblesIcon, talkBubblesIconName } from './shapes/talk-bubbles.js';
export { tasksIcon, tasksIconName } from './shapes/tasks.js';
export { thumbsDownIcon, thumbsDownIconName } from './shapes/thumbs-down.js';
export { thumbsUpIcon, thumbsUpIconName } from './shapes/thumbs-up.js';

// SHAPES - TEXT-EDIT
export { alignBottomIcon, alignBottomIconName } from './shapes/align-bottom.js';
export { alignCenterIcon, alignCenterIconName } from './shapes/align-center.js';
export { alignLeftIcon, alignLeftIconName } from './shapes/align-left.js';
export { alignLeftTextIcon, alignLeftTextIconName } from './shapes/align-left-text.js';
export { alignMiddleIcon, alignMiddleIconName } from './shapes/align-middle.js';
export { alignRightIcon, alignRightIconName } from './shapes/align-right.js';
export { alignRightTextIcon, alignRightTextIconName } from './shapes/align-right-text.js';
export { alignTopIcon, alignTopIconName } from './shapes/align-top.js';
export { blockQuoteIcon, blockQuoteIconName } from './shapes/block-quote.js';
export { boldIcon, boldIconName } from './shapes/bold.js';
export { bulletListIcon, bulletListIconName } from './shapes/bullet-list.js';
export { centerTextIcon, centerTextIconName } from './shapes/center-text.js';
export { checkboxListIcon, checkboxListIconName } from './shapes/checkbox-list.js';
export { fontSizeIcon, fontSizeIconName } from './shapes/font-size.js';
export { highlighterIcon, highlighterIconName } from './shapes/highlighter.js';
export { indentIcon, indentIconName } from './shapes/indent.js';
export { italicIcon, italicIconName } from './shapes/italic.js';
export { justifyTextIcon, justifyTextIconName } from './shapes/justify-text.js';
export { languageIcon, languageIconName } from './shapes/language.js';
export { numberListIcon, numberListIconName } from './shapes/number-list.js';
export { outdentIcon, outdentIconName } from './shapes/outdent.js';
export { paintRollerIcon, paintRollerIconName } from './shapes/paint-roller.js';
export { strikethroughIcon, strikethroughIconName } from './shapes/strikethrough.js';
export { subscriptIcon, subscriptIconName } from './shapes/subscript.js';
export { superscriptIcon, superscriptIconName } from './shapes/superscript.js';
export { textIcon, textIconName } from './shapes/text.js';
export { textColorIcon, textColorIconName } from './shapes/text-color.js';
export { underlineIcon, underlineIconName } from './shapes/underline.js';

// SHAPES - TRAVEL
export { airplaneIcon, airplaneIconName } from './shapes/airplane.js';
export { bicycleIcon, bicycleIconName } from './shapes/bicycle.js';
export { boatIcon, boatIconName } from './shapes/boat.js';
export { campervanIcon, campervanIconName } from './shapes/campervan.js';
export { carIcon, carIconName } from './shapes/car.js';
export { caravanIcon, caravanIconName } from './shapes/caravan.js';
export { compassIcon, compassIconName } from './shapes/compass.js';
export { ferryIcon, ferryIconName } from './shapes/ferry.js';
export { mapIcon, mapIconName } from './shapes/map.js';
export { mapMarkerIcon, mapMarkerIconName } from './shapes/map-marker.js';
export { onHolidayIcon, onHolidayIconName } from './shapes/on-holiday.js';
export { trailerIcon, trailerIconName } from './shapes/trailer.js';
export { truckIcon, truckIconName } from './shapes/truck.js';

// COLLECTIONS
export { loadChartIconSet, chartCollectionIcons, chartCollectionAliases } from './collections/chart.js';
export { loadCommerceIconSet, commerceCollectionIcons, commerceCollectionAliases } from './collections/commerce.js';
export { loadCoreIconSet, coreCollectionIcons, coreCollectionAliases } from './collections/core.js';
export { loadEssentialIconSet, essentialCollectionIcons, essentialCollectionAliases } from './collections/essential.js';
export { loadMediaIconSet, mediaCollectionIcons, mediaCollectionAliases } from './collections/media.js';
export { loadMiniIconSet, miniCollectionIcons, miniCollectionAliases } from './collections/mini.js';
export {
  loadTechnologyIconSet,
  technologyCollectionIcons,
  technologyCollectionAliases,
} from './collections/technology.js';
export { loadSocialIconSet, socialCollectionIcons, socialCollectionAliases } from './collections/social.js';
export { loadTextEditIconSet, textEditCollectionIcons, textEditCollectionAliases } from './collections/text-edit.js';
export { loadTravelIconSet, travelCollectionIcons, travelCollectionAliases } from './collections/travel.js';
